import request from '@/utils/request'

// 查询项目验收列表
export function listProjectChecking(query) {
  return request({
    url: '/project/projectChecking/list',
    method: 'get',
    params: query
  })
}

// 统计项目验收
export function findGroupCountByApprove(query) {
  return request({
    url: '/project/projectChecking/findGroupCountByApprove',
    method: 'get',
    params: query
  })
}

// 查询项目验收详细
export function getProjectChecking(id) {
  return request({
    url: '/project/projectChecking/' + id,
    method: 'get'
  })
}

// 新增项目验收
export function addProjectChecking(data) {
  return request({
    url: '/project/projectChecking',
    method: 'post',
    data: data
  })
}

// 修改项目验收
export function updateProjectChecking(data) {
  return request({
    url: '/project/projectChecking',
    method: 'put',
    data: data
  })
}

// 修改项目验收
export function updateProjectCheckingNoLog(data) {
  return request({
    url: '/project/projectChecking/editNoLog',
    method: 'post',
    data: data
  })
}

// 删除项目验收
export function delProjectChecking(id) {
  return request({
    url: '/project/projectChecking/' + id,
    method: 'delete'
  })
}
